Package Gnumed :: Package business :: Module gmDrugDataSources |
[frames] | no frames]

# Module gmDrugDataSources

source code

Code handling drug data sources (such as databases).

license: GPL v2 or later

Author: K.Hilbert <Karsten.Hilbert@gmx.net>

Classes
| cDrugDataSourceInterface
| cGelbeListeCSVFile Iterator over a Gelbe Liste/MMI v8.2 CSV file.
| cGelbeListeWindowsInterface Support v8.2 CSV file interface only.
| cGelbeListeWineInterface
| cFreeDiamsInterface
| cIfapInterface empirical CSV interface

Variables
| drug_data_source_interfaces = `{'Deutschland: Gelbe Liste/MMI (`...``

Imports: sys, csv, os, io, logging, subprocess, regex, etree, gmTools, gmShellAPI, gmMedication, gmCoding

Variables Details

  ### drug_data_source_interfaces Value:
      {'Deutschland: Gelbe Liste/MMI (Windows)': cGelbeListeWindowsInterface
      , 'Deutschland: Gelbe Liste/MMI (WINE)': cGelbeListeWineInterface, 'Fr
      eeDiams (FR, US, CA, ZA)': cFreeDiamsInterface}